Permalink
Browse files

Changed dependency from UUIDTools to UUID. UUID was more up to date a…

…nd didn't produce the rbconfig warning in Ruby 1.9.3.
  • Loading branch information...
1 parent 98cb989 commit de6b372837e16b974bc86fe0aad6943882f0ec10 @ngmaloney ngmaloney committed with Agowan Jun 28, 2012
Showing with 3 additions and 3 deletions.
  1. +1 −1 imperator.gemspec
  2. +2 −2 lib/imperator/command.rb
View
@@ -21,7 +21,7 @@ Gem::Specification.new do |s|
# specify any dependencies here; for example:
s.add_development_dependency "rspec"
# s.add_runtime_dependency "rest-client"
- s.add_runtime_dependency "uuidtools"
+ s.add_runtime_dependency "uuid"
s.add_runtime_dependency "activemodel"
s.add_runtime_dependency "virtus"
end
View
@@ -1,4 +1,4 @@
-require 'uuidtools'
+require 'uuid'
require 'active_model'
require 'virtus'
class Imperator::Command
@@ -16,7 +16,7 @@ class Imperator::Command
define_model_callbacks :create, :perform, :initialize
- attribute :id, String, :default => proc { UUIDTools::UUID.timestamp_create.to_s }
+ attribute :id, String, :default => proc { UUID.generate }
def self.action(&block)
define_method(:action, &block)

0 comments on commit de6b372

Please sign in to comment.